### Method

# Gtk.IMContext.filter_key

#### Declaration [src]

    gboolean
    gtk_im_context_filter_key (
      GtkIMContext* context,
      gboolean press,
      GdkSurface* surface,
      GdkDevice* device,
      guint32 time,
      guint keycode,
      GdkModifierType state,
      int group
    )

#### Description [src]

Allow an input method to forward key press and release events to another input methodm without necessarily having a `GdkEvent` available.

#### Parameters

`press` | `gboolean`
| whether to forward a key press or release event
`surface` | `GdkSurface*`
| the surface the event is for
| Ownership is not transferred to the callee
`device` | `GdkDevice*`
| the device that the event is for
| Ownership is not transferred to the callee
`time` | `guint32`
| the timestamp for the event
`keycode` | `guint`
| the keycode for the event
`state` | `GdkModifierType`
| modifier state for the event
`group` | `int`
| the active keyboard group for the event

#### Return value

Returns: `gboolean`
`TRUE` if the input method handled the key event.